Quelle version de joomla installer ?

Avril 2015, passage progressif des sites sous joomla 2.5 en joomla 3, 2 soucis : des outils encore sous jiimla 2.5 uniquement, et des templates plus ou moins compatible en joomla 3 (bootstrap qui arrive).

Fin 2014, les nouveaux projets sont sous joomla 3, en sachant que certains outils ne sont pas encore compatibles.

Novembre 2012, les nouveaux projets sont en joomla 2.5. J'ai encore quelques soucis avec des composants comme joomlfish et flexicontent... Reste la mise à jour des joomla 1.5 présents sur le serveur... Jupdate est bien utile pour cela, reste la mise en place de composants délicats et les templates.

Fin 2011, je suis toujours sur du Joomla 1.5. J'attends la sortie d'une version longue courant 2012.

Joomla.fr : "Des versions régulières et planifiées
Comme nous vous l'expliquions précédement, le choix d’une version Joomla se fait en ayant connaissance des versions STS (tous les 6 mois) et de la version LTS (tous les 18 mois) de chaque cycle de Joomla!
Les versions 1.6 et 1.7 de Joomla! sont donc des versions de “court support” (STS = Short Term Support) qui valident la sortie de la prochaine version de “long support” (LTS = Long Term Support). La prochaine LTS est attendue pour janvier 2012 et sera le nouveau standard pour les 18 mois à venir !"